# .gitmessage

# <type>(<scope>): <subject>
# |<----  Using a Maximum Of 50 Characters  ---->|
# 
# Explain the problem that this commit is solving. Focus on why you
# are making this change as opposed to how. Use clear, concise language.
# |<----   Try To Limit Each Line to a Maximum Of 72 Characters   ---->|
#
# -- COMMIT END --
# Types:
#   feat     (new feature)
#   fix      (bug fix)
#   refactor (refactoring code)
#   style    (formatting, no code change)
#   doc      (changes to documentation)
#   test     (adding or refactoring tests)
#   perf     (performance improvements)
#   chore    (routine tasks, dependencies)
#   exp      (experimental work/exploration)
# 
# Scope:
#   latex    (changes to thesis LaTeX)
#   src      (changes to Python source code)
#   nb       (changes to notebooks)
#   ml       (ML model specific changes)
#   data     (data processing/preparation)
#   viz      (visualization related)
#   all      (changes spanning entire repository)
# --------------------